Name:		libmacaroons
Version:	0.3.0
Release:    1%{?dist}
Summary:	C library supporting generation and use of macaroons

License:	BSD
URL:		https://github.com/rescrv/libmacaroons
Source0:	%url/archive/releases/%{version}/%{name}-%{version}.tar.gz
Patch0:		libmacaroons-hex-encoding.patch

Patch1:		libmacaroons-deserialize-memleak.patch

BuildRequires:	libsodium-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3
BuildRequires: make

%description
%{summary}

%package devel
Summary:	Development libraries linking against libmacaroons
Requires:	%{name} = %{version}-%{release}

%description devel
%{summary}

%prep
%setup -q -n %{name}-releases-%{version}
%patch0 -p 1
%patch1 -p 1

%build
autoreconf -i
export PYTHON=%{__python3}
%configure --disable-python-bindings
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.la
rm -f %{buildroot}%{_libdir}/%{name}.a
rm -f %{buildroot}%{python2_sitearch}/macaroons.a
rm -f %{buildroot}%{python2_sitearch}/macaroons.la

%files
%license LICENSE
%doc README
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/macaroons.h

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
